Clarity PPM1

Expand all | Collapse all

14.2 to 15.3 Upgrade Error

Jump to Best Answer
  • 1.  14.2 to 15.3 Upgrade Error

    Posted 05-14-2019 02:32 AM
      |   view attached

    Hello guys, 

     

    I have failed while upgrading from 14.2 to 15.3. I share install.log as attachment. Do you guys know what is the reason?

     

     

    Created dir: /fbapp/CLARITY/logs/xog-seeddata/out/nmc
    5/13/19 4:15 PM (ExecTask) Applying cmn_feature_menu_write.xml
    5/13/19 4:15 PM (ExecTask) Applying cmn_feature_page_write.xml
    5/13/19 4:16 PM (ExecTask) Applying cmn_feature_security_write.xml
    5/13/19 4:16 PM (ExecTask) Error Applying XOG: Failure occurred while applying cmn_feature_security_write.xml
    5/13/19 4:16 PM (ExecTask) Check /fbapp/CLARITY/logs/xog-seeddata/out/nmc/cmn_feature_security_write_out.xml for errors
    5/13/19 4:16 PM (ExecTask) ERROR: Upgrade failed for tenant
    5/13/19 4:16 PM (ExecTask) /fbapp/CLARITY/.setup/scripts/db.xml:2308: The following error occurred while executing this line:
    5/13/19 4:16 PM (ExecTask) /fbapp/CLARITY/.setup/scripts/db.xml:2524: The following error occurred while executing this line:
    5/13/19 4:16 PM (ExecTask) /fbapp/CLARITY/.setup/scripts/db.macros.xml:93: Java returned: 2

     

    Thank you guys

    Attachment(s)

    zip
    install.log.zip   27K 1 version


  • 2.  Re: 14.2 to 15.3 Upgrade Error

    Posted 05-14-2019 03:19 AM

    Not answering your question, but

    Did you verify that you have the version for supported upgrade path?

    CA PPM 15.3 Change Impact and Upgrade - CA PPM - 15.3 - CA Technologies Documentation 

    Did you meet the upgrade pre requisites and run the preinstall check and verify the results?



  • 3.  Re: 14.2 to 15.3 Upgrade Error



  • 4.  Re: 14.2 to 15.3 Upgrade Error

    Posted 05-14-2019 09:47 AM

    Hi Ferhat

     

    Can you attach cmn_feature_security_write_out.xml file as it will have the errors logged and we can find definite information

     

    Regards

    Suman Pramanik 



  • 5.  Re: 14.2 to 15.3 Upgrade Error
    Best Answer

    Posted 05-24-2019 06:51 AM

    I found the problem which is about the maximum value of sequence for some tables. We increased them and it has been solved. Thank you.



  • 6.  Re: 14.2 to 15.3 Upgrade Error

    Posted 05-24-2019 06:54 AM

    Great New Ferhat. Are you planning to stay at 15.3 or you will upgrade further. 



  • 7.  Re: 14.2 to 15.3 Upgrade Error

    Posted 05-24-2019 06:58 AM

    We will upgrade to 15.5.1 but I just got a new error and created a new topic. Link is below. First time I got this error. 

     

     

    https://communities.ca.com/thread/241824251-upgrade-153-to-155-error